## lmemory 0.6c

=== Makefile ===
--- 
+++ 
@@ -57,8 +57,8 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-host_alias = i586-pc-linux-gnu
-host_triplet = i586-pc-linux-gnu
+host_alias = i686-pc-linux-gnu
+host_triplet = i686-pc-linux-gnu
 CC = gcc
 GTK_CFLAGS = -I/usr/lib/glib/include -I/usr/X11R6/include
 GTK_CONFIG = /usr/bin/gtk-config
@@ -71,7 +71,7 @@
 NM = /usr/bin/nm -B
 PACKAGE = lmemory
 RANLIB = ranlib
-VERSION = 0.5
+VERSION = \"0.6c\"
 
 bin_PROGRAMS = 	lmemory
 
@@ -79,6 +79,8 @@
 			mmain.c	\
 			lmem_window.c \
 			lmem_menu.c \
+			help.c \
+			support.c \
 			lmem_level.c \
 			xpm_widget.c \
 			lmemory.h
@@ -103,11 +105,11 @@
 X_LIBS =  -L/usr/X11R6/lib
 X_EXTRA_LIBS = 
 X_PRE_LIBS =  -lSM -lICE
-lmemory_OBJECTS =  list.o mmain.o lmem_window.o lmem_menu.o lmem_level.o xpm_widget.o
+lmemory_OBJECTS =  list.o mmain.o lmem_window.o lmem_menu.o help.o support.o lmem_level.o xpm_widget.o
 lmemory_LDADD = $(LDADD)
 lmemory_DEPENDENCIES = 
 lmemory_LDFLAGS = 
-CFLAGS = -g -O2
+CFLAGS = -g -O2 -DVERSION=$(VERSION)
 COMPILE = $(CC) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)
 LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)
 LINK = $(LIBTOOL) --mode=link $(CC) $(CFLAGS) $(LDFLAGS) -o $@
@@ -350,6 +352,8 @@
 mmain.o: mmain.c lmemory.h
 lmem_window.o: lmem_window.c lmemory.h
 lmem_menu.o: lmem_menu.c lmem_menu.h
+help.o: help.c lmem_menu.h help.h support.h
+support.o: support.c support.h
 lmem_level.o: lmem_level.c lmemory.h lmem_menu.h
 xpm_widget.o: xpm_widget.c
 
@@ -422,5 +426,3 @@
 	-rm -f config.status
 	-rm -f libtool
 
-maintainer-clean:  maintainer-clean-recursive maintainer-clean-am
-	@echo "This command is intended for maintainers to use;"
