=== debian/control ===
Source: lmemory
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>, Evgeny Dolgikh <marcondream@gmail.com>
Build-Depends: debhelper (>= 8), libgtk2.0-dev, autoconf, automake, libtool
Standards-Version: 3.9.2
Homepage: http://home.comcast.net/~x.zhang1/linux_game.html
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/lmemory/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/lmemory/?op=log

Package: lmemory
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Children's game based on the "memory" card game
 The Linux Memory Game is an X11 game for children ages 3 and up, based on
 the card game "Memory". It is written using GTK+ library. Although it is a
 children's game, it has five skill levels, the higher ones are challenging
 to adults as well.
 It features the ability to add your own 64x64 pixmap images.
