=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	autoreconf --force --install --symlink
	./configure --prefix=/usr --bindir=/usr/games --datadir=/usr/share/games/lmemory

JUNK = configure config.h.in ltmain.sh mkinstalldirs config.guess config.sub aclocal.m4 depcomp install-sh Makefile.in missing INSTALL COPYING

override_dh_auto_clean:
	test ! -e Makefile || test -e config.status || (autoreconf -fis && ./configure)
	test ! -e Makefile || make maintainer-clean
	rm -rf $(JUNK)
	dh_auto_clean
