=== debian/watch ===
version=3

http://home.comcast.net/~x.zhang1/linux_game.html \
  http://mywebpages.comcast.net/x.zhang1/lmemory-([0-9.]+[a-z]?).tar.gz
